Subject: Re: path recognition problem in make.exe
From: Earnie Boyd <[email-masked]>
To: [email-masked]
Cc: cygwin users <[email-masked]>
Date: Wed, 8 Dec 1999 05:32:35 -0800 (PST)

--- [email-masked] wrote:
> 
> 
> Yes I have c mount point and there is no warning message when I mount c: as
> /c.
> In addition all refereces to /c and //c are resolved properly within bash
> shell
> and the problem starts when make starts processing /c path. I am using 'pwd'
> utility to provide root point for the s/w build. Depending wheter c: is
> mounted
> as /c the path returned from pwd is either /c/home/adamc (c: mounted as /c
> and
> as /) or /home/adamc  (c: mounted only as /).
>  I have a strange feeling that it may be related to the way I build make.exe.
> I
> used Visual C++ to build make.exe what means that I am using Windows DLL's. I
> am
> wondering about rebuilding it again using Cygnus gcc compiler. This way I
> hope I
> will use cygnus1.dll instead of Windows one. Do you think it may be the
> reason?
> In such a case it should also be a problem with make.exe that was build in
> ming32 environment, isn't it?
> 

AFAIK, non-cygwin programs will _NOT_ understand the Cygwin mount table.  Since
you built make as a Win32 program and therefore non-cygwin then it is
definitely your problem.  I hope you saved the original make.exe, if not good
luck on getting it built.

=====
Earnie Boyd <mailto:[email-masked]>
Cygwin Newbies, please visit
<http://www.freeyellow.com/members5/gw32/index.html>
__________________________________________________
Do You Yahoo!?
Thousands of Stores.  Millions of Products.  All in one place.
Yahoo! Shopping: http://shopping.yahoo.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]